//  Copyright (c) 2000-2004 ZEDO Inc. All Rights Reserved.
var p8=new Image();
function U5(i8){
var w5=i8.toString().match(/function\s+(\w*)/)[1];
if((w5==null)||(w5.length==0)){
return "anonymous();";
}
else{
return w5+"();";
}}
function B5(){
var w7="";
for(var a=arguments.caller;a!=null;a=a.caller){
w7+=U5(a.callee);
if(a.caller==a)break;
}
return w7;
}
function F6(){
var a3="";var w5="anonymous();";var p7=0;
window.onerror=null;
for(var i=0;i<arguments.length;i++){
a3+='a'+i+'='+arguments[i]+';';
if(i==2){
p7=escape(arguments[i]);
}}
a3=B5()+a3;
if(navigator.cookieEnabled){
a3=a3+'c='+navigator.cookieEnabled+';';
}
a3=a3+"C="+document.cookie+";";
if(document.cookie.indexOf('ZEDOERROR')==-1){
p8.src='http://ss2.zedo.com/ads2/p/'+Math.random()+'/ERR.gif?v=bar/v12-001/c5;'+a3+'b='+navigator.userAgent;
document.cookie="ZEDOERROR="+p7;
}
return true;
}
window.onerror=F6; 
var z7=new Array();var e7=0;
function F0(r2){
if(e7<1){
var t6=''+window.location.search;var r4=new Array();
t6=t6.replace(/^\?/,'');
r4=t6.split(';');
e7=r4.length;
for(var i=0;i<e7;i++){
if(r4[i].length>2){
z7[r4[i].substring(0,1)]=r4[i].substring(2,r4[i].length);
}}}
if(z7[r2]){return z7[r2];}
else{return '';}
}
function F4(){
var c0=U0('ZEDOIDX',false);
if((c0=='')||(c0==1000)){
var o2=navigator.userAgent.toLowerCase();var r8=((o2.indexOf('mac')!=-1)&&(o2.indexOf('msie 4.')!=-1));var x3=navigator.javaEnabled();var d5=0;
c0=1;
if(r8){
return c0;
}
else if(navigator.mimeTypes&&
navigator.mimeTypes["application/x-shockwave-flash"]&&
navigator.mimeTypes["application/x-shockwave-flash"].enabledPlugin){
if(navigator.plugins&&navigator.plugins["Shockwave Flash"]){
var t3=navigator.plugins["Shockwave Flash"].description;
if(parseInt(t3.substring(t3.indexOf(".")-1))>=4){
d5=1;
}}}
if(x3){c0 |=4;}
if(d5){c0 |=8;}
i1=new Date();
z1.src="http://simg.zedo.com/speed-test/10k.gif?"+zzRand;
z1.onload=F1; 
if(B1()){
B0('ZEDOIDX',c0,2592000000);
}}
return c0;
}
var v0=0;var n0=0;var i2=0;var t8=new Image();
var p3=new Array();
function B0(z6,i6,v6){
var v1=new Date();
if(!v6){v6=31536000000;}
v1.setTime(v1.getTime()+v6);
document.cookie=z6+'='+i6+';expires='+v1.toGMTString()+';domain=.zedo.com;path=/;';
}
function U0(r2,o6){
if(!p3[r2]||o6){
var d7=document.cookie;var t1=new Array();var q6=new Array();
t1=d7.split(';');
var y5=(t1!=null)?t1.length:0;
for(var i=0;i<y5;i++){
t1[i]=t1[i].replace(/^\s/,'');
q6=t1[i].split('=');
p3[q6[0]]=q6[1];
}}
if(p3[r2]){return p3[r2];}
else{return '';}
}
function F2(){
var w3=new Date();var a0=new Date();
a0.setUTCHours(5);
a0.setUTCMinutes(0);
a0.setUTCSeconds(0);
var i4=a0.getTime()-w3.getTime();
if(i4<0){
a0.setUTCDate(a0.getUTCDate()+1);
i4=a0.getTime()-w3.getTime();
}
return i4;
}
var i1;var z1=new Image();
function F1(){
var d3=new Date();var y2=d3.getTime()-i1.getTime();var v2=10239/y2;
if(v2>6){
var c0=U0('ZEDOIDX',false);
c0 |=16;
if(B1()){
B0('ZEDOIDX',c0,2592000000);
}}}
function B1(){
if(document.cookie.indexOf('ZEDOIDX')!=-1){
return true;
}else{
return false;
}}
function U2(){
var c0=U0('ZEDOIDX',false);var o2=navigator.userAgent.toLowerCase();var d6=(o2.indexOf('mac')!=-1);var t5=(!d6&&(o2.indexOf('msie 5')!=-1)||(o2.indexOf('msie 6')!=-1));
if((c0=='')||(c0==1000)){
document.writeln('<scri'+'pt language=VBS'+'cript>');
document.writeln('on error resume next');
document.writeln('n0=IsObject(CreateObject("ShockwaveFlash.ShockwaveFlash.5"))');
document.writeln('if(n0<=0)then n0=IsObject(CreateObject("ShockwaveFlash.ShockwaveFlash.4"))');
document.writeln('</scr'+'ipt>');
var x3=navigator.javaEnabled();
c0=1;
if(x3){c0 |=4;}
if(n0){c0 |=8;}
if(t5){
document.body.style.behavior='url(#default#clientCaps)';
if(document.body.connectionType=='lan'){
c0 |=16;
}}
else{
i1=new Date();
z1.src="http://simg.zedo.com/speed-test/10k.gif?"+zzRand;
z1.onload=F1;
}
if(B1()){
B0('ZEDOIDX',c0,2592000000);
}}
return c0;
}
function B4(o4){
var e3=0;var v1=new Date();var a6=U0('FFcat',false);var t7=U0('FFad',false);
if(!a6){
a6=o4;
t7="-1";
p1=U0('FFSkp',false);
if(p1.length>0){
v1.setUTCDate(v1.getUTCDate()-1);
document.cookie='FFSkp=1;expires='+v1.toGMTString()+';domain='+document.domain+';path=/;';
}}
e3=F5(a6,t7,o4);
return e3;
}
function F5(p4,z5,o4){
var z8=false;var z3=p4.split(":");var n3=z5.split(":");var e3=0;var n8=0;var i;
for(i=0;i<z3.length;i++){
if(z3[i]==o4){
n8=z3[i];
n3[i]++;
if(n3[i]>101){n3[i]=0;}
e3=n3[i];
if(isNaN(e3)){
t8.src='http://ss2.zedo.com/ads2/p/'+zzRand+'/NaN.gif?v=bar/v12-001/c5;C='+document.cookie+';b='+navigator.userAgent;
e3=0;
n3[i]=0;
}
z8=true;
break;
}}
if(!z8&&z3.length<60){
p4=o4+":"+p4;
z5=0+":"+z5;
}
else{
if(i==z3.length){
i--;
}
for(var j=i;j>0;j--){
z3[j]=z3[j-1];
n3[j]=n3[j-1];
}
z3[0]=o4;
n3[0]=e3;
p4=z3.join(":");
z5=n3.join(":");
}
if(B1()){
var i4=F2();
B0('FFcat',p4,i4);
B0('FFad',z5,i4);
}
else{
e3=Math.floor((zzRand * 1000000)% 10);
}
return e3;
}
function B3(x6,e8){
if(x6.length<1){
return 0;
}
if((x6==0)&&(e8>0)){
return 1;
}
if(x6>e8){
return 1;
}else{
return 0;
}}
function F3(p2){
if(p2>255){
p2=(p2 & 255);
}
return p2;
}
function U4(p2){
var o8=0;
if(p2>255){
o8=((p2>>14)& 2047);
}
return o8;
}
function U3(p2){
var d8=0;
if(p2>255){
d8=((p2>>8)& 63);
}
return d8;
}
var x0='http://xads.zedo.com/ads2/';var e6='http://c7.zedo.com/ads2/';var r0=U0('ZEDOIDX',false);var q0=254;var q4="";var y0=0;var i0='';var w1="";var c1=0;var x4=0;var y4=0;var o7=new Image();
var w4='';var x2='';var p1='';var o3=new Date();var a4='';var z0=navigator.userAgent.toLowerCase();var y1=parseInt(navigator.appVersion);
var n5=((z0.indexOf('msie')!=-1)&&(z0.indexOf('opera')==-1)&&(z0.indexOf('webtv')==-1));var x5=(n5&&(y1>=4));var d4=(z0.indexOf('mac')!=-1);
var w2=((z0.indexOf('mac')!=-1)&&(z0.indexOf('msie 4.')!=-1));var t4=(z0.indexOf('webtv')!=-1);var p5=((z0.indexOf('gecko')!=-1)&&(y1==5));var r3=(z0.indexOf('opera')!=-1);var p0=F0('n');
var d1=F0('w');var e1=F0('h');var e0=F0('c');var o0=F0('d');var w0=F0('s');var n1=F0('q');var a2=F0('l');var c5=unescape(F0('t'));
if(!p0){p0=0;}
if(!d1){d1=0;}
if(!e1){e1=0;}
if(!e0){e0=0;}
if(!o0){o0=0;}
if(!w0){w0=0;}
var zzStr='';var zzCountry=255;var zzMetro=0;var zzState=0;var zzSection=w0;var zzD=window.document;var zzRand=(Math.floor(Math.random()* 1000000)% 10000);var zzCustom='';var zzPat='';var zzSkip='';
var zzExp='';
if(document.getElementById||document.all){
if(c5){
document.title=c5;
}}
if(n1!=""){
n1=unescape(n1);
var n6=n1.replace(/&/g,'zzazz');
a4='&q='+escape(n6);
n1=';q='+escape(n1);
zzPat=n1;
}
if(a2!=""){
a2='&l='+escape(a2);
}
zzCustom=F0('k');
var o5=e0.toString().indexOf('/');
if(o5!=-1){
c1=parseInt(e0.substr(0,o5));
}else{
c1=parseInt(e0);
}
x4=parseInt(p0)+","+parseInt(c1);
c1=parseInt(c1)+(parseInt(p0)* 1000000);
if(r0==1000){
y4=1;
}
if(document.all&&!d4&&!r3){
r0=U2();
}else{
r0=F4();
}
r0=((o0<<8)|r0);
i2=x4+","+o0;
v0=B4(i2);
var w6=v0;var i3=U0(i2,false);
o3.setTime(o3.getTime()+F2());
zzSkip=';expires='+o3.toGMTString()+';domain='+document.domain+';path=/;';
zzExp=';expires='+o3.toGMTString()+';domain='+document.domain+';path=/;';
zzStr='i='+v0+';';
if(i3.length>0&&i3!=0){
w4=i3;
var y3=w4.split(',');
if(y3!=null&&y3.length>1){
v0=y3[0];
}}
else{
x2=i3;
if(parseInt(x2)==0){
if((B1())&&(v0==0)){
B0(i2,0,-2592000000);
}}
else{
p1=U0('FFSkp',false);
if(p1.length>0){
if(p1.indexOf(i2+":")>=0){
if(v0==0){
var v1=new Date("October 12,1988 13:14:00");
document.cookie='FFSkp='+p1+';expires='+v1.toGMTString()+';domain=.'+document.domain+';path=/;';
zzSkip=":"+zzSkip;
}
else{
x2=0;
}}
else{
zzSkip=':'+p1+zzSkip;
}}
else{
zzSkip=":"+zzSkip;
}}}
q0=U0('geo',false);
if(isNaN(parseInt(q0))){q0=254;}
q0=parseInt(q0);
if((q0!=254)&&y4&&(Math.floor(zzRand * 1000000)% 2==0)){
o7.src='http://g.zedo.com/init/'+zzRand+'/g.gif';
}
y0=parseInt(F3(q0));
zzCountry=y0;
if(q0>255){
if(y0==27||y0==172){
zzMetro=U4(q0);
zzState=U3(q0);
q4=";m="+zzMetro+";w="+zzState;
}}
zzStr=zzStr+'e=i;s='+w0+';g='+y0+q4+n1+';z='+Math.random();
if(B3(x2,v0)){
i0='http://c4.zedo.com/ads2/i/'+r0+'/'+q0+'/'+c1+'/99/b.js';
document.write('<scr'+'ipt language="JavaScript" src="'+i0+'"></sc'+'ript>');
}else{
if((r0 & 16)==16){
i0='http://c5.zedo.com/ads2/'+'d/'+r0+'/'+y0+'/'+p0+'/'+e0+'/i'+v0+'.js?z='+zzRand;
}
else{
i0=e6+'d/'+r0+'/'+'0'+'/'+p0+'/'+e0+'/e'+v0+'.js?s='+zzSection+'&i='+w6+a4+a2+'&z='+zzRand;
}
document.write('<scr'+'ipt language="JavaScript" src="'+i0+'"></sc'+'ript>');
}